import { DyCompField } from '../components/types/DyCompField';
import { RelationDetail } from '../components/types/ItemPreps';
import { SearchParams } from '../components/types/Params';
import { Ref } from 'vue';
/**
 * UUID
 */
export declare function uuid(): string;
export declare function copyText(text: any): Promise<void>;
/**
 * 调用Table组件查询数据
 * @param tableComp
 * @param data
 */
export declare function searchData(tableComp: any, data: SearchParams[]): void;
export declare const isDark: import('@vueuse/core').UseDarkReturn;
export declare const toggle: (value?: boolean) => boolean;
/**
 * 批量修改公共属性
 * @param items
 * @param val
 * @param fieldName
 */
export declare const batchModifyAction: (items: Array<any>, val: any, fieldName: string) => void;
/**
 *下拉组件
 * @returns
 */
export declare function selectCompList(): string[];
/**
 * 输入组件
 * @returns
 */
export declare function inputCompList(): string[];
/**
 * 日期组件
 * @returns
 */
export declare function dateCompList(): string[];
/**
 * 给组件添加placeholder属性
 * @param item
 * @param itemType
 */
export declare function fieldPlaceholder(item: any, itemType: string, source?: number): void;
/**
 * 校验组件
 * @param item
 */
export declare function itemCheck(item: any): string;
/**
 * 动态创建组件
 * @param compInfo 组件信息
 */
export declare function createComponent(compInfo: DyCompField): string;
/**
 * 删除查询条件中出现的空值和空对象
 * @param condition
 */
export declare function removeEmptyCondition(condition: SearchParams[]): SearchParams[];
/**
 * 组件key
 * @param item
 * @param key
 * @param isComp 是否组件
 * @param prefix 前缀
 * @param suffix 后缀
 */
export declare function compKey(item: any, key: number | string, isComp?: boolean, prefix?: string, suffix?: string): string;
export declare const DEFAULT_INITIAL_Z_INDEX = 2000;
export declare const useZIndex: (zIndexOverrides?: Ref<number>) => {
    initialZIndex: import('vue').ComputedRef<number>;
    currentZIndex: import('vue').ComputedRef<number>;
    nextZIndex: () => number;
};
export declare const baseEvent: (eventName: string, recall?: Function) => (e: Event) => void;
export declare const baseRelationEvent: (props: any, relationDetails: RelationDetail[], actionName: string) => (e: Event) => void;
export declare function getDynamicEvents(props: any, recall: Function): Record<string, any>;
